## ros-noetic-cpr-onav-description 0.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cpr_onav_description)

find_package(catkin REQUIRED)

catkin_package()

install(
  DIRECTORY config launch meshes scripts urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-cpr-onav-description (0.1.7-1focal) focal; urgency=high

  * Expand the readme, add setup scripts for the starter kit on Jackal, Warthog, and Husky.
  * Add setup script for the Husky Observer
  * Add the RealSense gazebo plugins to the starter kit
  * Contributors: Chris Iverach-Brereton

 -- José Mastrangelo <jmastrangelo@clearpathrobotics.com>  Fri, 08 Sep 2023 04:00:00 -0000

ros-noetic-cpr-onav-description (0.1.6-1focal) focal; urgency=high

  * Fix the path to the wibotic antenna mesh
  * Contributors: Chris Iverach-Brereton

 -- José Mastrangelo <jmastrangelo@clearpathrobotics.com>  Thu, 24 Aug 2023 04:00:00 -0000

ros-noetic-cpr-onav-description (0.1.5-1focal) focal; urgency=high

  * Add support for Husky Observer
  * Add a new macro for the GNSS antennas, including collision bodies
  * Add Husky Observer backpack model, Q62 meshes, support for observer configuration
  * Fix the path for the Hokuyo mesh, add simplified collision geometry
  * Contributors: Chris Iverach-Brereton

 -- José Mastrangelo <jmastrangelo@clearpathrobotics.com>  Mon, 21 Aug 2023 04:00:00 -0000

ros-noetic-cpr-onav-description (0.1.4-1focal) focal; urgency=high

  * fix urdf issue related to including multiple realsense cameras. moved all includes into custom block. each of the standard/starter sub-urdfs have their own include lines for the required sensors.
  * 0.1.3
  * Changes.
  * fix: move lms1xx link back into correct location. this bug was resolve in the intall script. update hokuyo prefix
  * Contributors: José Mastrangelo, Tony Baltovski

 -- José Mastrangelo <jmastrangelo@clearpathrobotics.com>  Thu, 10 Aug 2023 04:00:00 -0000

ros-noetic-cpr-onav-description (0.1.3-1focal) focal; urgency=high

  * fix: move lms1xx link back into correct location. this bug was resolve in the intall script. update hokuyo prefix
  * Contributors: José Mastrangelo

 -- José Mastrangelo <jmastrangelo@clearpathrobotics.com>  Tue, 25 Jul 2023 04:00:00 -0000

ros-noetic-cpr-onav-description (0.1.2-1focal) focal; urgency=high

  * modified sensor topic names. and move laser out of block as a temp fix
  * Contributors: José Mastrangelo

 -- José Mastrangelo <jmastrangelo@clearpathrobotics.com>  Mon, 05 Jun 2023 04:00:00 -0000

ros-noetic-cpr-onav-description (0.1.1-1focal) focal; urgency=high

  * Added license file.
  * remove circular dependency by adding local copies of accesory urdf files
  * added charge receiver link
  * Contributors: José Mastrangelo, Tony Baltovski

 -- José Mastrangelo <jmastrangelo@clearpathrobotics.com>  Mon, 08 May 2023 04:00:00 -0000

ros-noetic-cpr-onav-description (0.1.0-1focal) focal; urgency=high

  * Added STL files for Starter Kit, Velodynes and Realsense D435s
  * Added urdf files for starter and standard kits
  * Contributors: José Mastrangelo

 -- José Mastrangelo <jmastrangelo@clearpathrobotics.com>  Thu, 16 Mar 2023 04:00:00 -0000

=== debian/control ===
Source: ros-noetic-cpr-onav-description
Section: misc
Priority: optional
Maintainer: José Mastrangelo <jmastrangelo@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-lms1xx, ros-noetic-realsense2-description, ros-noetic-velodyne-description
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-cpr-onav-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-lms1xx, ros-noetic-realsense2-description, ros-noetic-urdf, ros-noetic-velodyne-description, ros-noetic-xacro
Description: Clearpath OutdoorNav URDF description

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-cpr-onav-description//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
